package org.dromara.main.service;

import org.dromara.main.domain.vo.RefundVo;

import java.math.BigDecimal;
import java.util.List;

public interface IRefundService {

    Long createRefund(Long orderId, BigDecimal refundAmount, String refundReason, Long operatorId, String operatorName);

    List<RefundVo> queryByOrderId(Long orderId);

    RefundVo queryById(Long refundId);
}
